# ApplicationFramework
TKPLCAF
PNaming

# PNaming_NamedShape Class Reference

`#include <PNaming_NamedShape.hxx>`

Inheritance diagram for PNaming_NamedShape:

[legend]

## Public Member Functions

Standard_EXPORT | PNaming_NamedShape ()
| Creates a mutable NamedShape from PNaming. .
Standard_EXPORT Standard_Integer | NbShapes () const
| Returns the number of shapes. .
Standard_EXPORT void | OldShapes (const Handle(PTopoDS_HArray1OfShape1)&theShapes)
| Sets the field <myoldshapes>. .
Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 | OldShapes () const
| Returns the field <myoldshapes>. .
Standard_EXPORT void | NewShapes (const Handle(PTopoDS_HArray1OfShape1)&theShapes)
| Sets the field <mynewshapes>. .
Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 | NewShapes () const
| Returns the field <mynewshapes>. .
Standard_EXPORT void | ShapeStatus (const Standard_Integer theShapeStatus)
| Sets the field <myshapestatus>. .
Standard_EXPORT Standard_Integer | ShapeStatus () const
| Returns the field <myshapestatus>. .
Standard_EXPORT void | Version (const Standard_Integer theVersion)
| Sets the field <myversion>. .
Standard_EXPORT Standard_Integer | Version () const
| Returns the field <myversion>. .
| PNaming_NamedShape (const Storage_stCONSTclCOM &a)
| Handle (PTopoDS_HArray1OfShape1) _CSFDB_GetPNaming_NamedShapemyOldShapes() const
void | _CSFDB_SetPNaming_NamedShapemyOldShapes (const Handle(PTopoDS_HArray1OfShape1)&p)
| Handle (PTopoDS_HArray1OfShape1) _CSFDB_GetPNaming_NamedShapemyNewShapes() const
void | _CSFDB_SetPNaming_NamedShapemyNewShapes (const Handle(PTopoDS_HArray1OfShape1)&p)
Standard_Integer | _CSFDB_GetPNaming_NamedShapemyShapeStatus () const
void | _CSFDB_SetPNaming_NamedShapemyShapeStatus (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPNaming_NamedShapemyVersion () const
void | _CSFDB_SetPNaming_NamedShapemyVersion (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PTopoDS_HArray1OfShape1 | myOldShapes
Handle_PTopoDS_HArray1OfShape1 | myNewShapes
Standard_Integer | myShapeStatus
Standard_Integer | myVersion

## Constructor & Destructor Documentation

Standard_EXPORT PNaming_NamedShape::PNaming_NamedShape | ( |  | ) |

PNaming_NamedShape::PNaming_NamedShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PNaming_NamedShape::_CSFDB_GetPNaming_NamedShapemyShapeStatus | ( |  | ) | const`[inline]`

Standard_Integer PNaming_NamedShape::_CSFDB_GetPNaming_NamedShapemyVersion | ( |  | ) | const`[inline]`

void PNaming_NamedShape::_CSFDB_SetPNaming_NamedShapemyNewShapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | p | ) | `[inline]`

void PNaming_NamedShape::_CSFDB_SetPNaming_NamedShapemyOldShapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | p | ) | `[inline]`

void PNaming_NamedShape::_CSFDB_SetPNaming_NamedShapemyShapeStatus | ( | const Standard_Integer | p | ) | `[inline]`

void PNaming_NamedShape::_CSFDB_SetPNaming_NamedShapemyVersion | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT const PNaming_NamedShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PNaming_NamedShape::Handle | ( | PTopoDS_HArray1OfShape1 |  | ) | const`[inline]`

PNaming_NamedShape::Handle | ( | PTopoDS_HArray1OfShape1 |  | ) | const`[inline]`

Standard_EXPORT Standard_Integer PNaming_NamedShape::NbShapes | ( |  | ) | const

Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 PNaming_NamedShape::NewShapes | ( |  | ) | const

Standard_EXPORT void PNaming_NamedShape::NewShapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | theShapes | ) |

Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 PNaming_NamedShape::OldShapes | ( |  | ) | const

Standard_EXPORT void PNaming_NamedShape::OldShapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | theShapes | ) |

Standard_EXPORT Standard_Integer PNaming_NamedShape::ShapeStatus | ( |  | ) | const

Standard_EXPORT void PNaming_NamedShape::ShapeStatus | ( | const Standard_Integer | theShapeStatus | ) |

Standard_EXPORT Standard_Integer PNaming_NamedShape::Version | ( |  | ) | const

Standard_EXPORT void PNaming_NamedShape::Version | ( | const Standard_Integer | theVersion | ) |

## Field Documentation

Handle_PTopoDS_HArray1OfShape1 PNaming_NamedShape::myNewShapes `[private]`

Handle_PTopoDS_HArray1OfShape1 PNaming_NamedShape::myOldShapes `[private]`

Standard_Integer PNaming_NamedShape::myShapeStatus `[private]`

Standard_Integer PNaming_NamedShape::myVersion `[private]`

The documentation for this class was generated from the following file:

- PNaming_NamedShape.hxx